To define

Supported Formats

json

GET /api/Location
Locations

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Examples

GET /Location?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "c053f6a96a47cb870203c0eeac027f19",
  "type": "searchset",
  "entry": [
    {
      "full_url": "/Location/1001",
      "resource": {
        "resourceType": "Location",
        "id": "1001",
        "meta": {
          "versionId": "1",
          "lastUpdated": "2021-03-23T19:36:17.299+00:00",
          "source": "#E1VolYkq84D3M96u",
          "profile": [
            "http://hl7.org/fhir/3.0/StructureDefinition/Location"
          ]
        },
        "status": "active",
        "name": "Newburry Facility",
        "mode": "instance",
        "address": [
          {
            "line": [
              "street 123"
            ],
            "postalCode": "55555",
            "city": "springfield",
            "state": "FL",
            "country": "US",
            "period": {
              "start": "2016-02-27"
            }
          }
        ],
        "managingOrganization": {
          "reference": "Organization/{}",
          "type": "Organization"
        }
      }
    }
  ],
  "total": 1
}
GET /Location?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "1d60745aa1612216fdf67c8a510dd5f8",
  "type": "searchset",
  "entry": [
    {
      "full_url": "/Location/1001",
      "resource": {
        "resourceType": "Location",
        "id": "1001",
        "meta": {
          "versionId": "1",
          "lastUpdated": "2021-03-23T19:36:17.299+00:00",
          "source": "#E1VolYkq84D3M96u",
          "profile": [
            "http://hl7.org/fhir/3.0/StructureDefinition/Location"
          ]
        },
        "status": "active",
        "name": "Newburry Facility",
        "mode": "instance",
        "address": [
          {
            "line": [
              "street 123"
            ],
            "postalCode": "55555",
            "city": "springfield",
            "state": "FL",
            "country": "US",
            "period": {
              "start": "2016-02-27"
            }
          }
        ],
        "managingOrganization": {
          "reference": "Organization/{}",
          "type": "Organization"
        }
      }
    }
  ],
  "total": 1
}

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

start_date
optional

Start date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

end_date
optional

End date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

Bundle

Validations:

  • Must be String.

type
required

Validations:

  • Must be String.


POST /api/Location/_search
Location by POST

GET /api/Location/:id
Location by ID

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Examples

GET /Location/1001?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Location",
  "id": "1001",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2021-03-23T19:36:17.299+00:00",
    "source": "#E1VolYkq84D3M96u",
    "profile": [
      "http://hl7.org/fhir/3.0/StructureDefinition/Location"
    ]
  },
  "status": "active",
  "name": "Newburry Facility",
  "mode": "instance",
  "address": [
    {
      "line": [
        "street 123"
      ],
      "postalCode": "55555",
      "city": "springfield",
      "state": "FL",
      "country": "US",
      "period": {
        "start": "2016-02-27"
      }
    }
  ],
  "managingOrganization": {
    "reference": "Organization/{}",
    "type": "Organization"
  }
}
GET /Location/1001?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Location",
  "id": "1001",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2021-03-23T19:36:17.299+00:00",
    "source": "#E1VolYkq84D3M96u",
    "profile": [
      "http://hl7.org/fhir/3.0/StructureDefinition/Location"
    ]
  },
  "status": "active",
  "name": "Newburry Facility",
  "mode": "instance",
  "address": [
    {
      "line": [
        "street 123"
      ],
      "postalCode": "55555",
      "city": "springfield",
      "state": "FL",
      "country": "US",
      "period": {
        "start": "2016-02-27"
      }
    }
  ],
  "managingOrganization": {
    "reference": "Organization/{}",
    "type": "Organization"
  }
}
GET /Location/1001?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Location",
  "id": "1001",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2021-03-23T19:36:17.299+00:00",
    "source": "#E1VolYkq84D3M96u",
    "profile": [
      "http://hl7.org/fhir/3.0/StructureDefinition/Location"
    ]
  },
  "status": "active",
  "name": "Newburry Facility",
  "mode": "instance",
  "address": [
    {
      "line": [
        "street 123"
      ],
      "postalCode": "55555",
      "city": "springfield",
      "state": "FL",
      "country": "US",
      "period": {
        "start": "2016-02-27"
      }
    }
  ],
  "managingOrganization": {
    "reference": "Organization/{}",
    "type": "Organization"
  }
}
GET /Location/1001
401

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

CareTeam

Validations:

  • Must be String.

status
required

Validations:

  • Must be String.

subject
required

Validations:

  • Must be Hash.

participant
required

Validations:

  • Must be Array.